<script setup lang="ts">
import { type Product } from '@/types/Product'

import ProductCard from './ProductCard.vue'
const props = defineProps<{
  products: Product[]
}>()
const emit = defineEmits<{
  selectedProduct: [Product]
}>()
function selected(p: Product) {
  console.log('ProductList ' + p)
  emit('selectedProduct', p)
}
</script>

<template>
  <div style="height: 550px; overflow: auto;" class="custom-scrollbar">
    <v-container>
      <v-row>
        <v-col cols="12" sm="6" md="4" class="mb-5" v-for="item of products" :key="item.id">
          <ProductCard class="mb-3" :product="item" @selectedProduct="selected"></ProductCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<style scoped>
.custom-scrollbar {
  height: 540px;
  overflow-y: auto;
  scrollbar-width: thin;
  /* Firefox */
  scrollbar-color: #ab9283 #fff5e8;
  /* Firefox */
}

.custom-scrollbar::-webkit-scrollbar {
  width: 12px;
  /* WebKit */
}

.custom-scrollbar::-webkit-scrollbar-thumb {
  background-color: #ab9283;
  /* WebKit */
}

.custom-scrollbar::-webkit-scrollbar-track {
  background-color: #fff5e8;
  /* WebKit */
}
</style>
